<template>
  <div class="border-t border-gray-200 py-6 px-4 sm:px-6">
    <div class="flex justify-between text-sm font-medium text-gray-500">
      <p>{{ $t('delivery.cost') }}</p>
      <p>{{500}} ֏</p>
    </div>
    <div class="mt-4 flex justify-between text-base font-medium text-gray-900">
      <p>Subtotal</p>
      <p>{{totalPrice}} ֏</p>
    </div>
    <p class="mt-0.5 text-sm text-gray-500">Shipping and taxes calculated at checkout.</p>
    <div class="mt-6">
      <NuxtLink
        @click="closeBasket"
        to="/checkout"
        class="flex items-center justify-center rounded-md border border-transparent bg-indigo-600 px-6 py-3 text-base font-medium text-white shadow-sm hover:bg-indigo-700"
      >
        Checkout
      </NuxtLink>
    </div>
  </div>
</template>

<script setup lang="ts">
  import { useBasket } from '~/composable/useBasket'

  const {closeBasket, totalPrice} = useBasket()

</script>